#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define _cmake_skip_rpath %nil

%global flatpak_version 1.10.1

%define rel 1

Name:           discover
Version: 6.0.4
Release:        %mkrel %rel
Summary:        KDE and Plasma resources management GUI
Group:          Graphical desktop/KDE
License:        GPLv2+
URL:            https://kde.org
Source0:        https://download.kde.org/stable/plasma/%{version}/%{name}-%{version}.tar.xz
## upstream patches

BuildRequires:  kf6-rpm-macros

# Qt6 BuildRequires
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Xml)
BuildRequires:  cmake(Qt6Concurrent)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Quick)
BuildRequires:  cmake(Qt6WebView)

#KDE Framework BuildRequires
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6Archive)
BuildRequires:  cmake(KF6XmlGui)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6Declarative)
BuildRequires:  cmake(KF6KCMUtils)
BuildRequires:  cmake(KF6IdleTime)
BuildRequires:  cmake(KF6Notifications)
BuildRequires:  cmake(KF6Purpose)
BuildRequires:  cmake(KF6Auth)
BuildRequires:  cmake(KF6StatusNotifierItem)
BuildRequires:  cmake(KF6Kirigami2)

BuildRequires:  cmake(KF6Attica)
BuildRequires:  cmake(KF6NewStuff)
BuildRequires:  cmake(KF6KirigamiAddons)
BuildRequires:  cmake(KF6UserFeedback)

#PackageKit backend BuildRequires
BuildRequires:  cmake(packagekitqt6)
BuildRequires:  cmake(AppStreamQt) >= 1.0

#Flatpak backend BuildRequires
BuildRequires:  pkgconfig(flatpak) >= %{flatpak_version}
BuildRequires:  pkgconfig(fwupd)
BuildRequires:  pkgconfig(libmarkdown)

BuildRequires:  git-core

Requires:       flatpak >= %{flatpak_version}
Requires:       fwupd
Requires:       kdeclarative
Requires:       kirigami
Requires:       kuserfeedback

#Add secondary provides name for sanity
Provides: plasma-%{name} = %{version}-%{release}
Provides: plasma-%{name}%{?_isa} = %{version}-%{release}

%description
KDE and Plasma resources management GUI.

%files -f discover.lang
%_kf6_sysconfdir/xdg/autostart/org.kde.discover.notifier.desktop
%_kf6_categoriesdir/discover.categories
%_libexecdir/DiscoverNotifier
%_kf6_bindir/plasma-discover
%_kf6_bindir/plasma-discover-update
%_kf6_libdir/plasma-discover/libDiscoverCommon.so
%_kf6_libdir/plasma-discover/libDiscoverNotifiers.so
%_qt6_plugindir/discover
%_qt6_plugindir/discover-notifier
%_qt6_plugindir/plasma/kcms/systemsettings/kcm_updates.so
%_kf6_applicationdir/org.kde.discover.desktop
%_kf6_applicationdir/org.kde.discover.urlhandler.desktop
%_kf6_applicationdir/org.kde.discover-flatpak.desktop
%_kf6_applicationdir/org.kde.discover.notifier.desktop
%_kf6_applicationdir/org.kde.discover.snap.desktop
%_kf6_applicationdir/kcm_updates.desktop
%_kf6_metainfodir/org.kde.discover.appdata.xml
%_kf6_metainfodir/org.kde.discover.packagekit.appdata.xml
%_kf6_metainfodir/org.kde.discover.flatpak.appdata.xml
%_kf6_iconsdir/hicolor/*/*/*
%_kf6_knotificationsdir/discoverabstractnotifier.notifyrc
%_kf6_datadir/kxmlgui5/plasmadiscover/
%_kf6_datadir/libdiscover/categories/packagekit-backend-categories.xml
%_kf6_datadir/libdiscover/categories/flatpak-backend-categories.xml

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %{name} --all-name


%changelog
* Tue Apr 16 2024 daviddavid <daviddavid> 6.0.4-1.mga10
+ Revision: 2057897
- New version 6.0.4

* Wed Mar 27 2024 daviddavid <daviddavid> 6.0.3-1.mga10
+ Revision: 2052457
- New version 6.0.3

* Tue Mar 12 2024 daviddavid <daviddavid> 6.0.2-1.mga10
+ Revision: 2049372
- New version 6.0.2

* Thu Mar 07 2024 daviddavid <daviddavid> 6.0.1-1.mga10
+ Revision: 2048121
- New version 6.0.1

* Wed Feb 28 2024 neoclust <neoclust> 6.0.0-1.mga10
+ Revision: 2044979
- New version 6.0.0

* Fri Feb 02 2024 neoclust <neoclust> 5.93.0-1.mga10
+ Revision: 2036767
- New version 5.93.0

* Wed Jan 10 2024 neoclust <neoclust> 5.92.0-1.mga10
+ Revision: 2029628
- New version 5.92.0

* Tue Jan 02 2024 daviddavid <daviddavid> 5.91.0-2.mga10
+ Revision: 2026183
- enable KF6UserFeedback support

* Mon Jan 01 2024 neoclust <neoclust> 5.91.0-1.mga10
+ Revision: 2025662
- New version 5.91.0
- New version 5.90.0
- New version 5.90.0

* Mon Nov 13 2023 neoclust <neoclust> 5.27.80-1.mga10
+ Revision: 2006691
- New version 5.27.80

* Wed Oct 25 2023 daviddavid <daviddavid> 5.27.9-1.mga10
+ Revision: 2001096
- New version 5.27.9

* Wed Sep 20 2023 daviddavid <daviddavid> 5.27.8-1.mga10
+ Revision: 1988224
- New version 5.27.8

* Wed May 31 2023 neoclust <neoclust> 5.27.5-1.mga9
+ Revision: 1960234
- New version 5.27.5

* Wed Apr 12 2023 daviddavid <daviddavid> 5.27.4-2.mga9
+ Revision: 1952787
- backport upstream patch to set user agent and allow following redirects for fwupd

* Mon Apr 10 2023 neoclust <neoclust> 5.27.4-1.mga9
+ Revision: 1951939
- New version 5.27.4

* Wed Mar 15 2023 neoclust <neoclust> 5.27.3-1.mga9
+ Revision: 1949065
- New version 5.27.3

* Wed Mar 01 2023 neoclust <neoclust> 5.27.2-1.mga9
+ Revision: 1946094
- New version 5.27.2

* Fri Feb 24 2023 daviddavid <daviddavid> 5.27.1-2.mga9
+ Revision: 1945194
- add upstream patch to do fwupd_client_connect before setting user agent

* Wed Feb 22 2023 daviddavid <daviddavid> 5.27.1-1.mga9
+ Revision: 1944784
- New version 5.27.1

* Tue Feb 14 2023 neoclust <neoclust> 5.27.0-1.mga9
+ Revision: 1942051
- New version 5.27.0

* Tue Jan 24 2023 neoclust <neoclust> 5.26.90-1.mga9
+ Revision: 1935772
- New version 5.26.90

* Thu Jan 05 2023 daviddavid <daviddavid> 5.26.5-1.mga9
+ Revision: 1930049
- New version 5.26.5

* Thu Dec 15 2022 neoclust <neoclust> 5.26.4-1.mga9
+ Revision: 1923101
- New version 5.26.4

* Tue Nov 15 2022 neoclust <neoclust> 5.26.3-1.mga9
+ Revision: 1907520
- New version 5.26.3
- New version 5.26.2

* Sun Sep 18 2022 neoclust <neoclust> 5.25.90-1.mga9
+ Revision: 1889895
- New version 5.25.90

* Fri Aug 05 2022 neoclust <neoclust> 5.25.4-1.mga9
+ Revision: 1875452
- New version 5.25.4

* Wed Jul 27 2022 neoclust <neoclust> 5.25.3-1.mga9
+ Revision: 1872551
- New version 5.25.3
- New version 5.25.3
- New version 5.24.5

* Mon Apr 11 2022 neoclust <neoclust> 5.24.4-1.mga9
+ Revision: 1848747
- New version 5.24.4

* Sun Jan 02 2022 neoclust <neoclust> 5.23.4-1.mga9
+ Revision: 1766150
- New version 5.23.4

* Mon Nov 15 2021 neoclust <neoclust> 5.23.3-1.mga9
+ Revision: 1756815
- New version 5.23.3

* Sun Nov 07 2021 neoclust <neoclust> 5.23.0-1.mga9
+ Revision: 1754581
- New version 5.23.0
- New version 5.22.90

* Sun Jul 18 2021 neoclust <neoclust> 5.22.3-1.mga9
+ Revision: 1736607
- New version 5.22.3

* Fri May 07 2021 daviddavid <daviddavid> 5.21.5-1.mga9
+ Revision: 1721954
- New version 5.21.5

* Tue Apr 13 2021 daviddavid <daviddavid> 5.21.4-1.mga9
+ Revision: 1715568
- New version 5.21.4

* Thu Mar 18 2021 daviddavid <daviddavid> 5.21.3-1.mga9
+ Revision: 1704254
- New version 5.21.3

* Wed Mar 03 2021 daviddavid <daviddavid> 5.21.2-1.mga9
+ Revision: 1697424
- New version 5.21.2

* Sun Feb 28 2021 daviddavid <daviddavid> 5.21.1-1.mga9
+ Revision: 1693676
- New version 5.21.1

* Fri Feb 12 2021 daviddavid <daviddavid> 5.20.4-3.mga8
+ Revision: 1675225
- add minimal dependency on kdeclarative to make it work with lxqt

* Tue Jan 26 2021 neoclust <neoclust> 5.20.4-2.mga8
+ Revision: 1673522
- Rebuild against new flatpak

* Mon Dec 07 2020 daviddavid <daviddavid> 5.20.4-1.mga8
+ Revision: 1654178
- New version 5.20.4

* Sat Nov 14 2020 daviddavid <daviddavid> 5.20.3-1.mga8
+ Revision: 1645965
- New version 5.20.3

* Wed Oct 28 2020 daviddavid <daviddavid> 5.20.2-1.mga8
+ Revision: 1639966
- New version 5.20.2

* Wed Oct 21 2020 daviddavid <daviddavid> 5.20.1-1.mga8
+ Revision: 1637723
- New version 5.20.1

* Wed Oct 14 2020 daviddavid <daviddavid> 5.20.0-1.mga8
+ Revision: 1635619
- New version 5.20.0

* Wed Sep 02 2020 daviddavid <daviddavid> 5.19.5-1.mga8
+ Revision: 1620953
- New version 5.19.5

* Tue Aug 18 2020 ovitters <ovitters> 5.19.4-2.mga8
+ Revision: 1614789
- rebuild for flatpak and full approval by Nicolas Lécureuil

* Wed Jul 29 2020 daviddavid <daviddavid> 5.19.4-1.mga8
+ Revision: 1609590
- New version 5.19.4

* Wed Jul 08 2020 neoclust <neoclust> 5.19.3-1.mga8
+ Revision: 1602989
- New version 5.19.3

* Tue Jun 23 2020 daviddavid <daviddavid> 5.19.2-1.mga8
+ Revision: 1598704
- New version 5.19.2

* Thu Jun 18 2020 daviddavid <daviddavid> 5.19.1-1.mga8
+ Revision: 1596012
- New version 5.19.1
+ neoclust <neoclust>
- New version 5.18.90

* Wed May 06 2020 daviddavid <daviddavid> 5.18.5-1.mga8
+ Revision: 1580738
- New version 5.18.5
- New version 5.18.4.1

* Tue Mar 17 2020 daviddavid <daviddavid> 5.18.3-1.mga8
+ Revision: 1557138
- New version 5.18.3

* Tue Feb 25 2020 daviddavid <daviddavid> 5.18.2-1.mga8
+ Revision: 1550364
- New version 5.18.2

* Fri Feb 21 2020 daviddavid <daviddavid> 5.18.1-1.mga8
+ Revision: 1548218
- New version 5.18.1

* Thu Feb 20 2020 umeabot <umeabot> 5.18.0-2.mga8
+ Revision: 1547235
- Mageia 8 Mass Rebuild

* Wed Feb 12 2020 daviddavid <daviddavid> 5.18.0-1.mga8
+ Revision: 1496219
- New version 5.18.0

* Fri Feb 07 2020 daviddavid <daviddavid> 5.17.90-2.mga8
+ Revision: 1487725
- enable KUserFeedback support

* Thu Feb 06 2020 neoclust <neoclust> 5.17.90-1.mga8
+ Revision: 1487389
- New version 5.17.90
+ wally <wally>
- build with new cmake macros

* Wed Dec 04 2019 daviddavid <daviddavid> 5.17.4-1.mga8
+ Revision: 1464286
- New version 5.17.4

* Fri Nov 15 2019 daviddavid <daviddavid> 5.17.3-1.mga8
+ Revision: 1460044
- New version 5.17.3

* Wed Oct 30 2019 daviddavid <daviddavid> 5.17.2-1.mga8
+ Revision: 1456755
- New version 5.17.2

* Wed Oct 23 2019 daviddavid <daviddavid> 5.17.1-1.mga8
+ Revision: 1455320
- New version 5.17.1

* Mon Oct 14 2019 neoclust <neoclust> 5.17.0-1.mga8
+ Revision: 1453152
- New version 5.17.0

* Mon Sep 30 2019 neoclust <neoclust> 5.16.90-1.mga8
+ Revision: 1448213
- New version 5.16.90

* Wed Sep 04 2019 neoclust <neoclust> 5.16.5-1.mga8
+ Revision: 1437036
- New version 5.16.5

* Wed Jul 31 2019 neoclust <neoclust> 5.16.4-1.mga8
+ Revision: 1426304
- New version 5.16.4

* Thu Jul 25 2019 neoclust <neoclust> 5.16.3-1.mga8
+ Revision: 1424002
- New version 5.16.3

* Sun Jun 16 2019 ngompa <ngompa> 5.15.4-2.mga7
+ Revision: 1400099
- Rebuild with updated flatpak

* Mon Apr 08 2019 neoclust <neoclust> 5.15.4-1.mga7
+ Revision: 1386836
- New version 5.15.4

* Sat Mar 30 2019 umeabot <umeabot> 5.15.3-3.mga7
+ Revision: 1381536
- Qt5 Rebuild

* Tue Mar 19 2019 daviddavid <daviddavid> 5.15.3-2.mga7
+ Revision: 1378843
- add missing dependency on fwupd (mga#24526)

* Tue Mar 12 2019 neoclust <neoclust> 5.15.3-1.mga7
+ Revision: 1374913
- New version 5.15.3

* Fri Mar 01 2019 neoclust <neoclust> 5.15.2-1.mga7
+ Revision: 1370713
- New version 5.15.2

* Tue Feb 19 2019 neoclust <neoclust> 5.15.1-1.mga7
+ Revision: 1368582
- New version 5.15.1

* Sun Feb 17 2019 daviddavid <daviddavid> 5.15.0-2.mga7
+ Revision: 1367844
- enable fwupd and libmarkdown support

* Fri Feb 15 2019 neoclust <neoclust> 5.15.0-1.mga7
+ Revision: 1367217
- New version 5.15.0

* Mon Jan 14 2019 neoclust <neoclust> 5.14.5-1.mga7
+ Revision: 1356166
- New version 5.14.5

* Sun Dec 09 2018 neoclust <neoclust> 5.14.4-1.mga7
+ Revision: 1339303
- New version 5.14.4

* Fri Oct 26 2018 neoclust <neoclust> 5.14.2-1.mga7
+ Revision: 1325597
- New version 5.14.2

* Sun Sep 23 2018 umeabot <umeabot> 5.13.4-2.mga7
+ Revision: 1297453
- Mageia 7 Mass Rebuild

* Sat Aug 18 2018 neoclust <neoclust> 5.13.4-1.mga7
+ Revision: 1252395
- New version 5.13.4

* Sat Mar 24 2018 daviddavid <daviddavid> 5.12.2-3.mga7
+ Revision: 1211994
- rebuild for new packagekit-qt 1.0.1
+ kekepower <kekepower>
- Rebuild for new packagekit-qt

* Fri Feb 23 2018 neoclust <neoclust> 5.12.2-1.mga7
+ Revision: 1204433
- New version 5.12.2

* Wed Feb 14 2018 neoclust <neoclust> 5.12.1-1.mga7
+ Revision: 1200978
- New version 5.12.1

* Mon Feb 12 2018 ngompa <ngompa> 5.11.95-3.mga7
+ Revision: 1200609
- No-change rebuild to make buildsystem take the build
- Fix the AppStreamQt BR
- Add missing BR for Flatpak backend

* Sat Jan 20 2018 neoclust <neoclust> 5.11.95-1.mga7
+ Revision: 1195239
- New version 5.11.95

* Wed Dec 27 2017 neoclust <neoclust> 5.11.4-1.mga7
+ Revision: 1185673
- New version 5.11.4

* Sat Oct 28 2017 neoclust <neoclust> 5.11.2-1.mga7
+ Revision: 1174367
- New version 5.11.2

* Fri Oct 20 2017 neoclust <neoclust> 5.11.1-1.mga7
+ Revision: 1172853
- New version 5.11.1

* Sun Oct 15 2017 cjw <cjw> 5.10.95-1.mga7
+ Revision: 1172228
- fix find_lang call
- fix target file name of desktop file patch
- update file list
+ neoclust <neoclust>
- New version 5.10.95
- New version 5.10.5

* Tue Jul 25 2017 daviddavid <daviddavid> 5.10.4-2.mga7
+ Revision: 1130759
- rebuild against kirigami2

* Mon Jul 24 2017 neoclust <neoclust> 5.10.4-1.mga7
+ Revision: 1130188
- New version 5.10.4
- New version 5.10.3

* Fri May 26 2017 neoclust <neoclust> 5.8.7-1.mga6
+ Revision: 1105054
- New version 5.8.7

* Mon Mar 06 2017 neoclust <neoclust> 5.8.6-1.mga6
+ Revision: 1089015
- New version 5.8.6

* Tue Dec 27 2016 neoclust <neoclust> 5.8.5-1.mga6
+ Revision: 1078217
- New version 5.8.5

* Thu Dec 15 2016 daviddavid <daviddavid> 5.8.4-3.mga6
+ Revision: 1075328
- fix file list

* Wed Nov 30 2016 neoclust <neoclust> 5.8.4-2.mga6
+ Revision: 1071295
- Rebuild against new appstream

* Mon Nov 28 2016 neoclust <neoclust> 5.8.4-1.mga6
+ Revision: 1070707
- New version 5.8.4

* Thu Nov 03 2016 neoclust <neoclust> 5.8.3-2.mga6
+ Revision: 1065077
- Rebuild against Qt 5.6.2

* Tue Nov 01 2016 neoclust <neoclust> 5.8.3-1.mga6
+ Revision: 1064467
- New version 5.8.3

* Sat Oct 22 2016 neoclust <neoclust> 5.8.2-1.mga6
+ Revision: 1063038
- New version 5.8.2
- New version 5.8.2

* Wed Oct 12 2016 neoclust <neoclust> 5.8.1-1.mga6
+ Revision: 1060263
- New version 5.8.1

* Sat Oct 01 2016 daviddavid <daviddavid> 5.8.0-2.mga6
+ Revision: 1057995
- add missing requires on kirigami (mga#19500)

* Fri Sep 30 2016 neoclust <neoclust> 5.8.0-1.mga6
+ Revision: 1057816
- New version 5.8.0

* Fri Sep 16 2016 neoclust <neoclust> 5.7.95-1.mga6
+ Revision: 1053424
- New version 5.7.95

* Wed Sep 14 2016 neoclust <neoclust> 5.7.5-1.mga6
+ Revision: 1052672
- New version 5.7.5

* Thu Aug 25 2016 neoclust <neoclust> 5.7.4-1.mga6
+ Revision: 1048736
- New version 5.7.4

* Tue Aug 02 2016 neoclust <neoclust> 5.7.3-1.mga6
+ Revision: 1044258
- New version 5.7.3

* Tue Jul 19 2016 neoclust <neoclust> 5.7.2-5.mga6
+ Revision: 1042546
- New version 5.7.2

* Tue Jul 12 2016 neoclust <neoclust> 5.7.1-5.mga6
+ Revision: 1041383
- New version 5.7.1

* Sat Jul 09 2016 neoclust <neoclust> 5.7.0-5.mga6
+ Revision: 1039959
- Fix RPATH

* Sat Jul 09 2016 ngompa <ngompa> 5.7.0-4.mga6
+ Revision: 1039929
- Fix path for discover libraries

* Fri Jul 08 2016 ngompa <ngompa> 5.7.0-3.mga6
+ Revision: 1039807
- Add Appstream BR for building PK backend

* Fri Jul 08 2016 tmb <tmb> 5.7.0-2.mga6
+ Revision: 1039760
- fix broken .desktop file
+ neoclust <neoclust>
- New version 5.7.0

* Tue Jul 05 2016 neoclust <neoclust> 5.6.5-1.mga6
+ Revision: 1038962
- imported package discover

